
% Solving Markov model for the Input Subsystem in the Combinated Model 
% Duplicated OPS
function [A U] = Input_DOPS(l, n, nc, k, c, N)
format long;

% Probability of state 0
suma=0;
for i=1:1:N
    suma=suma+(((l/n)^i)*(factorial(N)/factorial(N-i)));
end

Po = 1/(1 + (1+(n*(1-c)/nc))*suma);

% Probability of other states
P = zeros(1,2*N);
for i=1:1:N
        P(i) = Po*((l/n)^i)*(factorial(N)/factorial(N-i));
        P(N+i) = Po*(n*(1-c)/nc)*((l/n)^i)*(factorial(N)/factorial(N-i));
end

Prob = [Po,P];

% Asymptotic availability
suma2=0;
for i=0:1:N-k
    suma2=suma2+(((l/n)^i)*(1/factorial(N-i)));
end
suma3=0;
for i=1:1:N
    suma3=suma3+(((l/n)^i)*(1/factorial(N-i)));
end

A=(factorial(N)*suma2)/(1+(factorial(N)*(1+(n*(1-c)/nc))*suma3));
U= 1-A;